Skip to content

Update feedback item

PATCH
/v1/feedback/{id}

Updates one or more mutable fields on the feedback record, such as status, priority, assignee, or descriptive text. Only provided attributes are modified.

Authorizations

BearerAuth

API token provided in the Authorization header as a Bearer token.

Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"status_id": 0,
  
"priority_id": 0,
  
"type_id": 0,
  
"assignee_id": "string",
  
"title": "string",
  
"description": "string"
}

Responses

Feedback successfully updated.

application/json
JSON
{
  
"id": "9xy12ab34c",
  
"feedback_id": 0,
  
"project_id": "ab12cd34ef56gh78ij90klmn",
  
"title": "Login form broken",
  
"reporter": {
  
  
"additionalProperties": "string"
  
},
  
"assignee": {
  
  
"id": "019a77e7-5105-774f-ac0b-1b9b18f8366a",
  
  
"name": "Jana Nováková"
  
},
  
"user_data": {
  
  
"additionalProperties": "string"
  
},
  
"url": "https://app.example.com/login",
  
"description": "When I click submit, nothing happens.",
  
"rating": 0,
  
"rating_type": "csat",
  
"net_promoter_score": 0,
  
"priority_id": 3,
  
"priority": "Medium",
  
"type_id": 1,
  
"type": "Bug",
  
"status_id": 1,
  
"status": "Open",
  
"source_type": "widget",
  
"created_at": "string",
  
"updated_at": "string",
  
"comment_count": 3,
  
"tags": [
  
  
{
  
  
  
"id": "string",
  
  
  
"name": "string"
  
  
}
  
],
  
"custom_fields": {
  
  
"additionalProperties": "string"
  
},
  
"client_context": {
  
  
"browser": "string",
  
  
"browser_version": "string",
  
  
"os_name": "string",
  
  
"os_version": "string",
  
  
"device_type": "string",
  
  
"screen_width": 0,
  
  
"screen_height": 0,
  
  
"viewport_width": 0,
  
  
"viewport_height": 0,
  
  
"screen_pixel_depth": 0,
  
  
"screen_pixel_ratio": 0,
  
  
"referrer": "string",
  
  
"geo": {
  
  
  
"country_code": "string",
  
  
  
"region": "string",
  
  
  
"city": "string"
  
  
}
  
},
  
"screenshot_url": "string",
  
"video_url": "string",
  
"console_log_url": "string"
}

Playground

Authorization
Body

Samples

Powered by VitePress OpenAPI